slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSComputeError

Computes the error (based on the residual norm) associated with the i-th computed eigenpair.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSComputeError(EPS eps,PetscInt i,EPSErrorType type,PetscReal *error)

Collective

### Input Parameters

| eps | - the eigensolver context
| i | - the solution index
| type | - the type of error to compute

### Output Parameter

| error | - the error

### Notes

The error can be computed in various ways, all of them based on the residual norm ||Ax-kBx||_2 where k is the eigenvalue and x is the eigenvector.

### See Also

EPSErrorType, EPSSolve(), EPSGetErrorEstimate()

### Level

beginner

### Location

src/eps/interface/epssolve.c

### Examples

src/eps/tutorials/ex1.c
src/eps/tutorials/ex19.c
src/eps/tutorials/ex31.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages